﻿using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;
using WF_WebAdmin.Service;

namespace WF_WebAdmin.Pages
{
    public partial class Edit
    {
        [Parameter]
        public int Id { get; set; }

        [Inject]
        private IQuoteService quoteService {  get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        private Quote q{  get; set; }

        private QuoteModel quoteModel = new();

        private List<Character> charac = new List<Character>();

        private List<Source> src = new List<Source>();

        protected override async Task OnInitializedAsync()
        {
            q = await quoteService.getOnequote(Id);
            quoteModel.Content = q.Content;
            quoteModel.Langue = q.Langue;
            quoteModel.Charac = q.Charac;
            quoteModel.TitleSrc = q.TitleSrc;
            quoteModel.Id = q.Id;
            quoteModel.Like = q.Like;
            quoteModel.ImgPath = q.ImgPath;
            quoteModel.DateSrc = q.DateSrc;
            quoteModel.UserProposition = q.UserProposition;
            quoteModel.IsValid = q.IsValid;
            charac = await quoteService.getChar();
            src = await quoteService.getSrc();
        }

        protected async void HandleValidSubmit()
        {
            q.Content = quoteModel.Content;
            q.Langue = quoteModel.Langue;
            q.TitleSrc = quoteModel.TitleSrc;
            q.Charac = quoteModel.Charac;
            await quoteService.updateQuote(q);
            NavigationManager.NavigateTo("modifquote");
        }

        private void OnlangChange(string item, object checkedValue)
        {
            if(item == "fr" || item == "en")
            {
                quoteModel.Langue = item;
            }    
        }




    }
}
